Holger's Java API

## com.antelmann.ooffice
Class CellBorder.Type

    java.lang.Object
      com.antelmann.ooffice.CellBorder.Type

All Implemented Interfaces:
  Forgeable<CellBorder.Type>, Serializable

Enclosing class:
  CellBorder

    public static class CellBorder.Type

extends Object
implements Forgeable<CellBorder.Type>, Serializable

See Also:
  Serialized Form

Field Summary
`Color` `color` black by default
`short` `innerLineWidth` contains the width of the inner part of a double line (in 1/100 mm).
`short` `lineDistance` contains the distance between the inner and outer parts of a double line (in 1/100 mm).
`short` `outerLineWidth` contains the width of a single line or the width of outer part of a double line (in 1/100 mm).

Constructor Summary
`CellBorder.Type()` calls this(Color.black)
`CellBorder.Type(Color color)` null is allowed for a color
`CellBorder.Type(Color c, short outerLineWidth, short innerLineWidth, short lineDistance)`

Method Summary
`void` `setAllFrom(CellBorder.Type type)` copies the properties of the given object and applies them to this instance, so that its behavior in regards to the given object can be matched to the extend that the implementing class supports that behavior.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### color

    public Color color

  black by default

### outerLineWidth

    public short outerLineWidth

  contains the width of a single line or the width of outer part of a double line (in 1/100 mm). If this value is zero, no line is drawn (1 is the default).

### innerLineWidth

    public short innerLineWidth

  contains the width of the inner part of a double line (in 1/100 mm). If this value is zero, only a single line is drawn (the default).

### lineDistance

    public short lineDistance

  contains the distance between the inner and outer parts of a double line (in 1/100 mm). This is 0 by default.

Constructor Detail

### CellBorder.Type

    public CellBorder.Type()

  calls this(Color.black)

### CellBorder.Type

    public CellBorder.Type(Color color)

  null is allowed for a color

### CellBorder.Type

    public CellBorder.Type(Color c,
                           short outerLineWidth,
                           short innerLineWidth,
                           short lineDistance)

Method Detail

### setAllFrom

    public void setAllFrom(CellBorder.Type type)

  Description copied from interface: `Forgeable`
  copies the properties of the given object and applies them to this instance, so that its behavior in regards to the given object can be matched to the extend that the implementing class supports that behavior.

  Specified by:
    `setAllFrom` in interface `Forgeable<CellBorder.Type>`
  Parameters:
    `type` - the object whose behavior is to be copied to this instance

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads